--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: disconnect from the server and cleanup all plugins and modules
full_name: Irc::Bot#shutdown
is_singleton: false
name: shutdown
params: (message=nil)
visibility: public
